function get_divisors(n)
    n > 0 || throw(DomainError(n))
    return sum(i for i in 1:n÷2 if iszero(n % i))
end

function isperfect(number)
    return get_divisors(number) ≡ number
end
function isabundant(number)
    return get_divisors(number) > number
end
function isdeficient(number)
    return get_divisors(number) < number
end